[PC-BSD Commits] r2465 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Mon Jul 28 14:11:21 PDT 2008


Author: kris
Date: 2008-07-28 14:11:21 -0700 (Mon, 28 Jul 2008)
New Revision: 2465

Added:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SetNic.sh
Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD1.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD2.sh
Log:

Added backend script fixes which incorporate FTP / Network installs to our system



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD1.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD1.sh	2008-07-28 21:09:17 UTC (rev 2464)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD1.sh	2008-07-28 21:11:21 UTC (rev 2465)
@@ -14,10 +14,22 @@
 LC_CTYPE="" ; export LC_CTYPE
 LC_COLLATE="" ; export LC_COLLATE
 
-${LZMA_CMD} ${FC_LZMA} | tar -xpvf - >&1 2>&1
-if [ "$?" != "0" ]
+if [ -e "/tmp/networkURL" ]
 then
-  exit 1
+  # Pull image from network
+  NETPATH="`cat /tmp/networkURL`"
+  fetch -o - ${NETPATH}/PCBSD.tar.lzma 2>/dev/null | ${LZMA_CMD} | tar -xpvf - >&1 2>&1
+  if [ "$?" != "0" ]
+  then
+    exit 1
+  fi
+else
+  # Regular CD install
+  ${LZMA_CMD} ${FC_LZMA} | tar -xpvf - >&1 2>&1
+  if [ "$?" != "0" ]
+  then
+    exit 1
+  fi
 fi
 
 mkdir ${FSMNT}/dev >/dev/null

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD2.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD2.sh	2008-07-28 21:09:17 UTC (rev 2464)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.InstallCD2.sh	2008-07-28 21:11:21 UTC (rev 2465)
@@ -16,10 +16,22 @@
 LC_CTYPE="" ; export LC_CTYPE
 LC_COLLATE="" ; export LC_COLLATE
 
-${LZMA_CMD} ${FC_LZMA2} | tar -xpvf - >&1 2>&1
-if [ "$?" != "0" ]
+if [ -e "/tmp/networkURL" ]
 then
-  exit 1
+  NETPATH="`cat /tmp/networkURL`"
+  fetch -o - ${NETPATH}/PCBSD2.tar.lzma 2>/dev/null | ${LZMA_CMD} | tar -xpvf - >&1 2>&1
+  if [ "$?" != "0" ]
+  then
+    exit 1
+  fi
+
+else
+  ${LZMA_CMD} ${FC_LZMA2} | tar -xpvf - >&1 2>&1
+  if [ "$?" != "0" ]
+  then
+    exit 1
+  fi
+
 fi
 
 


Property changes on: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.SetNic.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the Commits mailing list